import React from 'react';
import { EditableProps } from 'slate-react/dist/components/editable';
import { SPEditor } from '../types/SPEditor';
import { UseSlatePluginsEffectsOptions } from '../types/UseSlatePluginsEffectsOptions';
import { UseSlatePropsOptions } from '../types/UseSlatePropsOptions';
export interface SlatePluginsProps<T extends SPEditor = SPEditor> extends UseSlatePluginsEffectsOptions<T>, UseSlatePropsOptions {
    children?: React.ReactNode;
    editableProps?: EditableProps;
}
export declare const SlatePlugins: <T extends SPEditor = SPEditor>({ children, ...options }: SlatePluginsProps<T>) => JSX.Element | null;
//# sourceMappingURL=SlatePlugins.d.ts.map